Bug 697394 (CVE-2011-1585) - CVE-2011-1585 kernel: cifs session reuse
Summary: CVE-2011-1585 kernel: cifs session reuse
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-1585
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20100802,reported=20110418,sou...
Depends On: 697395 697396 697397
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-18 06:53 UTC by Eugene Teo (Security Response)
Modified: 2019-06-08 18:48 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-06-09 06:17:56 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1253 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2011-09-12 19:43:48 UTC
Red Hat Product Errata RHSA-2011:1386 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2011-10-20 17:28:15 UTC

Description Eugene Teo (Security Response) 2011-04-18 06:53:43 UTC
When one user has mounted a cifs share that requires authentication, another user could mount the same share without knowing the correct password.

A way to exploit this would be through mount.cifs if it's installed setuid root.

On Red Hat Enterprise Linux, mount.cifs is not root setuid by default.

Upstream commits:
http://git.kernel.org/linus/4ff67b720c02c36e54d55b88c2931879b7db1cd2
http://git.kernel.org/linus/fc87a40677bbe0937e2ff0642c7e83c9a4813f3d
http://git.kernel.org/linus/24e6cf92fde1f140d8eb0bf7cd24c2c78149b6b2

Comment 3 Eugene Teo (Security Response) 2011-04-18 09:05:30 UTC
Statement:

This issue did not affect the versions of Linux kernel as shipped in Red Hat Enterprise Linux 4, 5, 6, and Red Hat Enterprise MRG as they did not ship mount.cifs with root setuid set. However, as a preventive meaasure, we have addressed this in Red Hat Enterprise Linux 5 and Red Hat Enterprise MRG via https://rhn.redhat.com/errata/RHSA-2011-1386.html and https://rhn.redhat.com/errata/RHSA-2011-1253.html. Red Hat Enterprise Linux 4 is now in Production 3 of the maintenance life-cycle, https://access.redhat.com/support/policy/updates/errata/, therefore the fix for this issue is not currently planned to be included in the future updates.

Comment 4 Sasko Stefanovski 2011-04-28 20:16:00 UTC
Another way to mount the share without correct password is when user has sudo privilege to execute /sbin/mount.cifs (even when mount.cifs does not have setuid)

Ex. I am "userb". "usera" has already mounted a //server/share. 
I can execute the following and provide wrong password:

[userb@localhost]$ sudo /sbin/mount.cifs //server/share ./localmount -o user=usera,domain=windows_domain

Comment 5 Eugene Teo (Security Response) 2011-04-29 05:54:03 UTC
(In reply to comment #4)
> Another way to mount the share without correct password is when user has sudo
> privilege to execute /sbin/mount.cifs (even when mount.cifs does not have
> setuid)
> 
> Ex. I am "userb". "usera" has already mounted a //server/share. 
> I can execute the following and provide wrong password:
> 
> [userb@localhost]$ sudo /sbin/mount.cifs //server/share ./localmount -o
> user=usera,domain=windows_domain

That is why I proposed to have this addressed as a preventive measure. Thanks.

Comment 6 errata-xmlrpc 2011-09-12 19:46:02 UTC
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2011:1253 https://rhn.redhat.com/errata/RHSA-2011-1253.html

Comment 7 errata-xmlrpc 2011-10-20 17:29:27 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:1386 https://rhn.redhat.com/errata/RHSA-2011-1386.html


Note You need to log in before you can comment on or make changes to this bug.